edu.wpi.first.wpilibj.hal

## Class SerialPortJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.SerialPortJNI

-     public class SerialPortJNI
      extends JNIWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialPortJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `serialClear(byte port)`
    `static void` | `serialClose(byte port)`
    `static void` | `serialDisableTermination(byte port)`
    `static void` | `serialEnableTermination(byte port, char terminator)`
    `static void` | `serialFlush(byte port)`
    `static int` | `serialGetBytesReceived(byte port)`
    `static void` | `serialInitializePort(byte port)`
    `static int` | `serialRead(byte port, java.nio.ByteBuffer buffer, int count)`
    `static void` | `serialSetBaudRate(byte port, int baud)`
    `static void` | `serialSetDataBits(byte port, byte bits)`
    `static void` | `serialSetFlowControl(byte port, byte flow)`
    `static void` | `serialSetParity(byte port, byte parity)`
    `static void` | `serialSetReadBufferSize(byte port, int size)`
    `static void` | `serialSetStopBits(byte port, byte stopBits)`
    `static void` | `serialSetTimeout(byte port, double timeout)`
    `static void` | `serialSetWriteBufferSize(byte port, int size)`
    `static void` | `serialSetWriteMode(byte port, byte mode)`
    `static int` | `serialWrite(byte port, java.nio.ByteBuffer buffer, int count)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerialPortJNI

          public SerialPortJNI()

  - ### Method Detail

    - #### serialInitializePort

          public static void serialInitializePort(byte port)

    - #### serialSetBaudRate

          public static void serialSetBaudRate(byte port,
                                               int baud)

    - #### serialSetDataBits

          public static void serialSetDataBits(byte port,
                                               byte bits)

    - #### serialSetParity

          public static void serialSetParity(byte port,
                                             byte parity)

    - #### serialSetStopBits

          public static void serialSetStopBits(byte port,
                                               byte stopBits)

    - #### serialSetWriteMode

          public static void serialSetWriteMode(byte port,
                                                byte mode)

    - #### serialSetFlowControl

          public static void serialSetFlowControl(byte port,
                                                  byte flow)

    - #### serialSetTimeout

          public static void serialSetTimeout(byte port,
                                              double timeout)

    - #### serialEnableTermination

          public static void serialEnableTermination(byte port,
                                                     char terminator)

    - #### serialDisableTermination

          public static void serialDisableTermination(byte port)

    - #### serialSetReadBufferSize

          public static void serialSetReadBufferSize(byte port,
                                                     int size)

    - #### serialSetWriteBufferSize

          public static void serialSetWriteBufferSize(byte port,
                                                      int size)

    - #### serialGetBytesReceived

          public static int serialGetBytesReceived(byte port)

    - #### serialRead

          public static int serialRead(byte port,
                                       java.nio.ByteBuffer buffer,
                                       int count)

    - #### serialWrite

          public static int serialWrite(byte port,
                                        java.nio.ByteBuffer buffer,
                                        int count)

    - #### serialFlush

          public static void serialFlush(byte port)

    - #### serialClear

          public static void serialClear(byte port)

    - #### serialClose

          public static void serialClose(byte port)